<< ddgqr | DD: 16 bytes decimal arithmetics | lu >>

DD_QD (MuPAT) >> DD_QD (MuPAT) > DD: 16 bytes decimal arithmetics > ddip

# ddip

inner product of DD vectors

### Syntax

    z = ddip(x,y)

### Parameters

x,y

  2 column vectors of real DD numbers, of same lengths.

z

  DD number = x'*y

### Examples

    x = ddrand(10,1);
    y = ddrand(10,1);
    z = ddip(x,y)
    z == x' * y
    sqrt(ddip(x,x)) == norm(x,2)

    --> z = ddip(x,y)
     z  =
       2.407167425747500363001462552151E0

    --> z == x' * y
     ans  =
      T

    --> sqrt(ddip(x,x)) == norm(x,2)
     ans  =
      T

### See Also

- dd — builds an array of DD numbers
- overloads — Available overloads for DD and QD real numbers

### Authors

Copyright (C) 2011 - Tsubasa Saito

Report an issue
<< ddgqr | DD: 16 bytes decimal arithmetics | lu >>